import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  For Redis engine version 6.0 onwards: Creates a Redis user group. For more information, see <a href="https://docs.aws.amazon.com/AmazonElastiCache/latest/red-ug/Clusters.RBAC.html">Using Role Based Access Control (RBAC)</a>
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-elasticache-usergroup.html">the AWS Docs</a>
*/
export function userGroup(userGroupProps) {
    return new AwsResource('AWS::ElastiCache::UserGroup', userGroupProps, { Status: 'Status', Arn: 'Arn' });
}
